{{ "2017-01-30 11:59:14Z" | moment:{inputFormat: 'YYYY-MM-DD HH:mm:ssZ'} }}

saxoTraderGO-browser-support

​​The browsers supported by SaxoTraderGO are:

Internet explorer icon Internet Explorer 10+

Internet explorer icon Microsoft Edge 12+​​

Internet explorer icon Google Chrome 30+

Internet explorer icon Mozilla Firefox 25+

We recommend that you upgrade to a supported bowser as soon as possible to get the best experience. It will not be possible to access the SaxoTraderGO platform through other browsers from March 2017.